# Method: otherContacts.search

- [HTTP request](https://developers.google.com/people/api/rest/v1/otherContacts/search#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/people/api/rest/v1/otherContacts/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/otherContacts/search#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/otherContacts/search#body.response_body)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/otherContacts/search#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/otherContacts/search#try-it)

Provides a list of contacts in the authenticated user's other contacts that matches the search query. The query matches on a contact's `names`, `emailAddresses`, and `phoneNumbers` fields that are from the `https://developers.google.com/people/api/rest/v1/people#Person.SourceType` source.

**IMPORTANT** : Before searching, clients should send a warmup request with an empty query to update the cache. See <https://developers.google.com/people/v1/other-contacts#search_the_users_other_contacts>

### HTTP request

`GET https://people.googleapis.com/v1/otherContacts:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` Required. The plain-text query for the request. The query is used to match prefix phrases of the fields on a person. For example, a person with name "foo name" matches queries such as "f", "fo", "foo", "foo n", "nam", etc., but not "oo n". |
| `pageSize` | `integer` Optional. The number of results to return. Defaults to 10 if field is not set, or set to 0. Values greater than 30 will be capped to 30. |
| `readMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. A field mask to restrict which fields on each person are returned. Multiple fields can be specified by separating them with commas. Valid values are: - emailAddresses - metadata - names - phoneNumbers |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/people/api/rest/v1/SearchResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/contacts.other.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).